import React from 'react'
import {
  EditorialReportCard,
  ContextualBox,
  withFilePreview,
  withFileDownload,
} from 'pubsweet-component-faraday-ui'

const EditorialCommentCard = ({ journal, reports = [] }) => (
  <ContextualBox label="Editorial Comments" mb={2}>
    {reports.map(report => (
      <EditorialReportCard journal={journal} key={report.id} report={report} />
    ))}
  </ContextualBox>
)

export default withFileDownload(withFilePreview(EditorialCommentCard))
